View Issue Details

IDProjectCategoryView StatusLast Update
0002715Ham Radio DeluxeBugpublic2019-11-08 02:31
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionreopened 
Product Version6.4.0.840 
Target VersionFixed in Version6.7.0.244 
Summary0002715: Rig Control: help text contains bad link to ham-radio.ch domain
DescriptionSome in-app help text contains a link to ham-radio.ch; we should replace or remove this text. Perhaps the involved feature is actually obsolete and the whole thing can be deleted.

Steps To Reproduce1) Fire up Rig Control. Connecting to a DemoMatic radio is fine
2) Use the "3rd-party serial port" command in the "Hardware" tear off on the "Tools" menu
3) In the resulting "3rd-Party Serial Port" dialog box, note the yellow text box.

BUG#1) That text box contains a broken link to http://hrd.ham-radio.ch/downloads.html

TagsNo tags attached.
ModuleRig Control
Sub-ModuleVarious
Testing Beta Successful

Relationships

related to 0003073 closedK7ZCZ restore "3rd Party Serial Port" menu in Rig Control 
related to 0002749 closedK7ZCZ Rig Control: consider removing vCOM driver from product 

Activities

WA9PIE

2018-11-27 22:41

administrator   ~0006473

I think we need to remove this stuff completely.

K7ZCZ

2019-01-19 10:38

administrator   ~0007030

This dialog was removed from the product (Mantis 2749) and then returned to the product (Mantis 3073).

Now that it's back, we must fix the outdated help text it displays.

WA9PIE

2019-03-01 21:53

administrator   ~0007554

Let's switch it to the following dialog (without being highlighted by default):

=================

Introduction

Ham Radio Deluxe supports 3rd-party programs such as logbooks via a virtual serial port.

Examples of a virtual serial port software include com0com and VSPE. A Google search for virtual COM port software will provide some options.

In the description that follows two ports are created, COM11 (used by Ham Radio Deluxe) and COM12 (used by a 3rd-party program).

Ham Radio Deluxe opens and listens on one port for incoming requests (COM11). The 3rd-party program opens the other port (COM12) in exactly the same way it would connect to a radio using a hardware serial port.

The connection parameters used by the 3rd party program to connect with COM12 are:

Speed = any (9600 by default but this really doesn't matter),
Stop bits = 2,
Parity = none.

The protocol supported is Kenwood, the command set current supported is:

FA Get / set VFO-A.
FB Get / set VFO-B.
MD Get / set mode.
IF Read status, currently frequency, TX status, and mode are supported,
SM Read the S-Meter.

To use this option Ham Radio Deluxe must be connected to a radio, otherwsie the standard Kenwood error response ?; will be returned. The radio does not have to support the Kenwood protocol as Ham Radio Deluxe makes the necessary conversions.


Testing

To test the connection use HyperTerminal (supplied with Windows) and connect to COM 12 (the virtual serial pot not being used by Ham Radio Deluxe). Enter FA; and you will see a value such as FA00050100000; returned (50.1 Mhz).


Command Detail

FA Reads and sets the VFO A frequency in Hz
Set FA<11 digit frequency>;
Read FA;
Answer FA<11 digit frequency>;

FB Reads and sets the VFO B frequency in Hz
Set FB<11 digit frequency>;
Read FB;
Answer FB<11 digit frequency>;

IF Retrieves the transceiver status
Read IF;
Answer IFP1P2P3P4p5P6P7P8P9P10P11P12P13P14P15;

Where:
    P1 = 11 digits, frequency in Hz
    P2 = 5 digits, not used
    P3 = 5 digits, not used
    P4 = 1 digit, not used
    P5 = 1 digit, not used
    P6 = 1 digit, not used
    P7 = 2 digits, not used
    P8 = 1 digit, 0: RX, 1: TX
    P9 = 1 digit, see MD above
    P10 = 1 digit, not used
    P11 = 1 digit, not used
    P12 = 1 digit, not used
    P13 = 1 digit, not used
    P14 = 2 digits, not used
    P15 = 1 digit, not used

MD Recalls or reads the operating mode status
Set MD<mode>;
Read MD;
Answer MD<mode>;

Where mode is one of:
    0: None
    1: LSB
    2: USB
    3: CW
    4: FM
    5: AM
    6: FSK
    7: CWR (CW Reverse)
    8: Tune
    9: FSR (FSK Reverse)

SM Retrieves the S-Meter value
Read SM;
Answer IF<4 digit value>;

Where the returned value range is from 0000 to 0030. Each unit is 1/2 an S-unit. S5 is 0010, S9 is 0018.

K7ZCZ

2019-07-01 17:15

administrator   ~0008187

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5048

g3ucq

2019-09-02 08:16

viewer   ~0008494

Fixed

WA9PIE

2019-09-07 08:40

administrator   ~0008517

Validated

Issue History

Date Modified Username Field Change
2018-05-13 18:49 K7ZCZ New Issue
2018-11-27 22:41 WA9PIE Note Added: 0006473
2018-12-20 16:22 WA9PIE Status new => closed
2018-12-20 16:22 WA9PIE Description Updated View Revisions
2018-12-20 16:22 WA9PIE Steps to Reproduce Updated View Revisions
2019-01-11 19:28 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2019-01-19 10:38 K7ZCZ Assigned To => WA9PIE
2019-01-19 10:38 K7ZCZ Status closed => new
2019-01-19 10:38 K7ZCZ Resolution open => reopened
2019-01-19 10:38 K7ZCZ Note Added: 0007030
2019-01-19 10:38 K7ZCZ Relationship added related to 0003073
2019-01-19 10:39 K7ZCZ Relationship added related to 0002749
2019-02-17 19:57 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2019-03-01 21:53 WA9PIE Note Added: 0007554
2019-03-01 21:53 WA9PIE Assigned To WA9PIE => K7ZCZ
2019-07-01 17:15 K7ZCZ Status new => resolved
2019-07-01 17:15 K7ZCZ Note Added: 0008187
2019-08-30 16:13 K7ZCZ Fixed in Version => 6.7.0.226
2019-09-02 08:16 g3ucq Note Added: 0008494
2019-09-07 08:40 WA9PIE Status resolved => closed
2019-09-07 08:40 WA9PIE Description Updated View Revisions
2019-09-07 08:40 WA9PIE Steps to Reproduce Updated View Revisions
2019-09-07 08:40 WA9PIE Testing Not Started => Beta Successful
2019-09-07 08:40 WA9PIE Note Added: 0008517
2019-11-08 02:16 WA9PIE Fixed in Version 6.7.0.226 => 6.7.0.244
2019-11-08 02:31 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe